/**
 * @file timermanager.h
 * @brief Contains the %TimerManager class.
 */

#ifndef TIMERMANAGER_H
#define TIMERMANAGER_H

#include "timerservicehost.h"

/**
 * The TimerManager class is just a wrapper around TimerServiceHost
 * to hide the template parameter which otherwise needs to be known
 * by all users that get a reference passed.
 * @note In case 3 timers are no enough, increase here.
 */
class TimerManager : public TimerServiceHost<3>
{
public:
	/**
	 * Constructor for forwarding parameters to base class.
	 * @param[in] timer Timer to use to generate base ticks.
	 */
	TimerManager(Timer *timer) : TimerServiceHost(timer)
	{
	}
};

#endif
